name: steps-sprint

services:
    dev:
        image: dev/lts
        container_name: steps-sprint
        ports:
            - "8082:80"
        environment:
            - DB_HOST=mysql
        volumes:
            - ~/project/steps-sprint/:/var/www/html

            # Apache HTTP 設定
            - ./apache-data/000-default.conf:/etc/apache2/sites-enabled/000-default.conf:ro

            # PHP 設定
            - ./conf/php.ini:/etc/php/8.3/fpm/php.ini:ro
            - ./conf/php.ini:/etc/php/8.3/cli/php.ini:ro

        stdin_open: true
        tty: true
        networks:
            - dev

networks:
    dev:
        external: true
